classification
Title: Rework how exceptions are handled in the parser module (in validate_repeating_list())
Type: Stage: resolved
Components: Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: vstinner
Priority: normal Keywords: patch

Created on 2015-03-25 00:29 by vstinner, last changed 2018-07-11 21:45 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
validate_repeating_list.patch vstinner, 2015-03-25 00:29
Messages (2)
msg239199 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-03-25 00:29
Attached patch avoids calling validate_numnodes() with an exception set in the parser module.

I found this issue while working on the issue #23763 "Chain exceptions in C".
msg321501 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-07-11 21:45
I just lost interest in this old patch, I abandon it.
History
Date User Action Args
2018-07-11 21:45:07vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg321501

stage: resolved
2015-03-30 01:17:07vstinnersettitle: Rework of exceptions are handled in the parser module (in validate_repeating_list()) -> Rework how exceptions are handled in the parser module (in validate_repeating_list())
2015-03-25 00:29:20vstinnercreate